import request from '@/utils/request'

import { parseStrEmpty } from "@/utils/ruoyi";
// 周报查询(查询人)
    export function selectDailyByProjectAndFromTo(projectId,from,to) {
        return request({
          url: '/search/selectDaily/' + projectId +"/"+from+"/"+to,
          method: 'get'
        })
      }

      
// 表的字段查询
export function getColumns(tableName) {
  return request({
    url: '/search/getColumns/' + tableName,
    method: 'get'
  })
}

// 查询语句
export function gettableData(tableName,field,logic,fieldInfo) {
  return request({
    url: '/search/gettableData/' + tableName + '/' + field+ '/' + logic+ '/' + fieldInfo,
    method: 'get'
  })
}

// 查询语句
export function gettableData2(tableName,field,logic,fieldInfo,field2,fieldInfo2,fieldInfo3) {
  return request({
    url: '/search/gettableData2/' + tableName + '/' + field+ '/' + logic+ '/' + fieldInfo + '/' + field2 + '/' + fieldInfo2 + '/' + fieldInfo3,
    method: 'get'
  })
}

// 查询语句
export function gettableData3(tableName,field2,fieldInfo2,fieldInfo3) {
  return request({
    url: '/search/gettableData3/' + tableName +  '/' + field2 + '/' + fieldInfo2 + '/' + fieldInfo3,
    method: 'get'
  })
}

              // 查询b1表内容
  export function getB1(userId,projectId,dateAt) {
    return request({
      url: '/search/getB1/' +parseStrEmpty(userId) +'/'+parseStrEmpty(projectId)+'/'+parseStrEmpty(dateAt),
      method: 'get'
    })
  }


  // 查询b2表内容
  export function getB2(userId,projectId,dateAt) {
    return request({
      url: '/search/getB2/' +parseStrEmpty(userId) +'/'+parseStrEmpty(projectId)+'/'+parseStrEmpty(dateAt),
      method: 'get'
    })
  }


    // 查询b3表内容
    export function getB3(userId,projectId,dateAt) {
      return request({
        url: '/search/getB3/' +parseStrEmpty(userId) +'/'+parseStrEmpty(projectId)+'/'+parseStrEmpty(dateAt),
        method: 'get'
      })
    }

  // 查询b4表内容
  export function getB4(userId,projectId,dateAt) {
    return request({
      url: '/search/getB4/' +parseStrEmpty(userId) +'/'+parseStrEmpty(projectId)+'/'+parseStrEmpty(dateAt),
      method: 'get'
    })
  }

  // 查询b6表内容
  export function getB6(userId,projectId,dateAt) {
    return request({
      url: '/search/getB6/' +parseStrEmpty(userId) +'/'+parseStrEmpty(projectId)+'/'+parseStrEmpty(dateAt),
      method: 'get'
    })
  }

  // 查询b7表内容
  export function getB7(userId,projectId,dateAt) {
    return request({
      url: '/search/getB7/' +parseStrEmpty(userId) +'/'+parseStrEmpty(projectId)+'/'+parseStrEmpty(dateAt),
      method: 'get'
    })
  }

  // 查询b8表内容
  export function getB8(userId,projectId,dateAt) {
    return request({
      url: '/search/getB8/' +parseStrEmpty(userId) +'/'+parseStrEmpty(projectId)+'/'+parseStrEmpty(dateAt),
      method: 'get'
    })
  }

  // 查询b9表内容
  export function getB9(userId,projectId,dateAt) {
    return request({
      url: '/search/getB9/' +parseStrEmpty(userId) +'/'+parseStrEmpty(projectId)+'/'+parseStrEmpty(dateAt),
      method: 'get'
    })
  }

  // 查询b10表内容
  export function getB10(userId,projectId,dateAt) {
    return request({
      url: '/search/getB10/' +parseStrEmpty(userId) +'/'+parseStrEmpty(projectId)+'/'+parseStrEmpty(dateAt),
      method: 'get'
    })
  }

  // 查询b11表内容
  export function getB11(userId,projectId,dateAt) {
    return request({
      url: '/search/getB11/' +parseStrEmpty(userId) +'/'+parseStrEmpty(projectId)+'/'+parseStrEmpty(dateAt),
      method: 'get'
    })
  }

  // 查询b12表内容
  export function getB12(userId,projectId,dateAt) {
    return request({
      url: '/search/getB12/' +parseStrEmpty(userId) +'/'+parseStrEmpty(projectId)+'/'+parseStrEmpty(dateAt),
      method: 'get'
    })
  }

  // 查询b13表内容
  export function getB13(userId,projectId,dateAt) {
    return request({
      url: '/search/getB13/' +parseStrEmpty(userId) +'/'+parseStrEmpty(projectId)+'/'+parseStrEmpty(dateAt),
      method: 'get'
    })
  }

  // 查询b14表内容
  export function getB14(userId,projectId,dateAt) {
    return request({
      url: '/search/getB14/' +parseStrEmpty(userId) +'/'+parseStrEmpty(projectId)+'/'+parseStrEmpty(dateAt),
      method: 'get'
    })
  }


  // 查询b15表内容
  export function getB15(userId,projectId,dateAt) {
    return request({
      url: '/search/getB15/' +parseStrEmpty(userId) +'/'+parseStrEmpty(projectId)+'/'+parseStrEmpty(dateAt),
      method: 'get'
    })
  }

    // 导出(查询人)
    export function getExport(weekInfo) {
        return request({
          url: '/search/export' ,
          method: 'post',
          data:weekInfo
        })
      }
  //查询收入(查询人)
export function getIncome(unitNum,date) {
  return request({
    url: '/search/getIncome' +'/'+unitNum+'/'+date,
    method: 'get'
  })
}

//查询支援（查询人）
export function getBalance(unittype,unitNum,date) {
  return request({
    url: '/search/getbalance' +'/'+unittype+'/'+unitNum+'/'+date,
    method: 'get'
  })
}